<bugID>1053943<Summary>Firefox consumes more CPU than Chrome(?)</Summary><Description>Created attachment 8473158
firefox_prefmon.png

I just read this new article from AnandTech which compares battery life when browsing with Firefox vs when browsing with Chrome:

http://anandtech.com/show/8327/browser-faceoff-battery-life-explored-2014

Their result is that they are able to browse the web 100 minutes longer with Chrome. However they might have botched that up a bit with the HiDPI handling and the test is not completely apples to apples.

Reading the article reminded me of an old perfmon test I had a long time ago on my Macbook Air running Firefox vs Chrome on Windows in bootcamp. I had noticed that the fan of the laptop is more prone to spin up when browsing Firefox vs when browsing with Chrome. Also looking at the task manager, the firefox process steadily consumes 10% of the CPU even when idle. I see this being reported also in bug #892034.

These items suggest that Firefox might be more heavy on the CPU than Chrome is. Does Firefox run battery life tests as part of a release cycle?</Description></bugID>